<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.hygf.api.mapper.FinancingRegionalMapper">

    <select id="queryDataForPage" resultType="com.yeejoin.amos.boot.module.hygf.api.entity.FinancingRegional">
        select * from  hygf_financing_regional
        <where>
            <if test="regionalCompaniesName != null and regionalCompaniesName != ''">
            and hygf_financing_regional.regional_companies_name = #{regionalCompaniesName}
            </if>
            <if test="province != null and province != ''">
                and hygf_financing_regional.province  = #{province}
            </if>
        </where>

    </select>
</mapper>
